Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Search memories

POST /memory_stores/{name}:search_memories

Searches the specified memory store for memories relevant to the provided conversation context.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Path parameters

name string required

The name of the memory store to search.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Content-Type: application/json
scope string required

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Items for which to search for relevant memories.

previous_search_id string

The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.

options MemorySearchOptions

Memory search options.

max_memories integer

Maximum number of memory items to return.

Responses

The request has succeeded.

Body

Content-Type: application/json
search_id string required

The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.

memories MemorySearchItem[] required

Related memory items found during the search operation.

usage MemoryStoreOperationUsage required

Usage statistics of a memory store operation.

embedding_tokens integer required

The number of embedding tokens.

input_tokens integer required
input_tokens_details OpenAI.ResponseUsageInputTokensDetails required
cached_tokens integer required
cache_write_tokens integer required
output_tokens integer required
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails required
reasoning_tokens integer required
total_tokens integer required

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /memory_stores/{name}:search_memories HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026